--CLEU UPDATE_TEXT
function(e, ...)
	if e == "COMBAT_LOG_EVENT_UNFILTERED" then
		local se = select(2, ...)
		local aura_env = aura_env
		if se == "SPELL_DAMAGE" or se == "SPELL_PERIODIC_DAMAGE" then
			local _, _, _, _, caster, _, _, _, target, _, _, sID, sName, sSchool, amount, overkill, school, resisted, blocked, absorbed, critical = ...
			if caster == UnitName("player") and critical == false then
				if not aura_env.hits then aura_env.hits = {} end
				local ID = #aura_env.hits + 1
				aura_env.hits[ID] = 
				{
					["sID"] = sID,
					["sName"] = sName,
					["sSchool"] = sSchool,
					["amount"] = amount,
					["resisted"] = resisted,
					["blocked"] = blocked,
					["absorbed"] = absorbed,
					["target"] = target,
					["time"] = GetTime(),
				}
				WeakAuras.ScanEvents("UPDATE_TEXT")
				C_Timer.After(2, function() table.remove(aura_env.hits, ID); WeakAuras.ScanEvents("UPDATE_TEXT") end)
				return true
			end
		end
	elseif e == "UPDATE_TEXT" then
		aura_env.output = ""
		print(#aura_env.hits)
		for k,v in ipairs(aura_env.hits) do
			print(k, v.amount)
			aura_env.output = aura_env.output .. v.amount .. "\n"
		end
		print("")
	end
end

--DISPLAY
function()
	return aura_env.output
end